Bug 57063 - Slightly misleading comment in texmf.cnf
Slightly misleading comment in texmf.cnf
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 17:46 EST by Michal Jaegermann
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 06:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-12-03 17:46:06 EST
Description of Problem:
A comment in /usr/share/texmf/web2c/texmf.cnf says:

% Now, list all the texmf trees. If you have multiple trees you can
% use shell brace notation, like this:
%   TEXMF = {$HOMETEXMF,!!$TEXMFLOCAL,!!$TEXMFMAIN}

This should likely rather be "{!!$HOMETEXMF,".  A line just below is:

TEXMF = {!!$HOMETEXMF,!!$TEXMFMAIN}

but somebody new may not catch right away what is the meaning of
this difference.

A comment to a sample TEXMFLOCAL should also likely explain that
a tree below this directory has to be created.  A minimum would
be 'tex/generic/'.  Otherwise somebody will drop new files in
$TEXMFLOCAL and s/he will start to wonder why they are not found
even after rehashing was done.

Version-Release number of selected component (if applicable):
tetex-1.0.7-36.4
Comment 1 Tim Waugh 2001-12-06 06:00:29 EST
The '!!' construct is explained near the top of the file.

I've added a comment about how to use HOMETEXMF though, including an 
instruction to run texhash on it.
Comment 2 Tim Waugh 2001-12-11 04:47:10 EST
Fixed in tetex-1.0.7-37.

Note You need to log in before you can comment on or make changes to this bug.